using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Sirenix.OdinInspector;

namespace KairoEngine.VoxelBuildingSystem
{
    [System.Serializable]
    public class VoxelConnectorData
    {
        [HideLabel, HorizontalGroup("connector", 0.3f)] public string title = "new connector";
        [HideLabel, HorizontalGroup("connector", 0.2f)] public Vector3Int position;
        //[HideLabel, HorizontalGroup("connector", 0.2f)] public Vector3Int target;
        [HideLabel, HorizontalGroup("connector", 0.15f)] public TargetDirection direction;
        [HideLabel, HorizontalGroup("connector", 0.15f)] public int group;

    }

    public enum TargetDirection
    {
            Back,
            Front,
            Left,
            Right,
            Up,
            Down
        }
}

